curl --request GET \
--url https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"amount": 123,
"country_code": "US",
"created_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"external_card_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"id": "<string>",
"last_modified_time": "2010-05-06T12:23:34.321Z",
"merchant": {
"address": {
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"postal_code": "49633",
"state": "NY",
"address_line_2": "Suite 99"
},
"name": "<string>",
"email": "alice@example.com",
"phone_number": "+14374570680"
},
"status": "CANCELED",
"type": "PULL",
"network_decline_details": "<string>",
"reason": "<string>",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"three_ds_id": "40e2de9e-4375-4fa1-9393-92da972a9338"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Get External Card Transfer
Get an External Card Transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of a transfer
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Response
External Card Transfer details
- Pull Response
- Push Response
Pull funds from an External Card
The ID of the account to which the card will be linked
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Amount of the transfer in cents
ISO-3166-1 Alpha-2 country code
"US"
"2010-05-06T12:23:34.321Z"
ISO 4217 Alpha-3 currency code
3"USD"
The ID of the customer to whom the card belongs
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The ID of the external card from/to which the transfer was initiated/received
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The ID of the transfer
"2010-05-06T12:23:34.321Z"
Merchant descriptor information that will be shown on statement and transaction details. If not provided, FinTech information will be used.
Show child attributes
Show child attributes
The status of the transfer
CANCELED, DECLINED, PENDING, SUCCEEDED, UNKNOWN Type of operation for transfer.
| Type | Description |
|---|---|
| PUSH | Push fund to the external card from the account_id |
| PULL | Pull funds from the external card to the account_id |
| PULL_REVERSAL | Reversed pull funds transfer from an external card |
PULL, PULL_REVERSAL, PUSH "PULL"
If available, a human readable string indicating why a transfer was declined downstream of our system
The reason for the status, e.g. INSUFFICIENT_FUNDS, SUSPECTED_FRAUD, NETWORK_DECLINED
The transaction ID
Unique identifier of an External Card Transfer 3-D Secure Authorization - conditionally required according to your program's 3DS policy
"40e2de9e-4375-4fa1-9393-92da972a9338"
Was this page helpful?

